image: "alpine:latest"

deploy:
  stage: deploy
  environment:
    name: production
    url: https://links.bij1.org/
  variables:
    HOST: static.bij1.net
    KNOWN_HOSTS: |
      static.bij1.net ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBqkbrb28kEg5HSNx4s4aoFbkqLPWRHR4g5wxHmC5jR8
      static.bij1.net ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBL9OdVKd3UPN62b8S/yfZ5ifgFT0Pe/exqlSZt8dEl51weBekpKLZO9hWKvjyHkLbYX39gdqY+sIYj0vOZSKoEk=
  script:
    - apk add openssh
    - apk add openrc
    - mkdir -p ~/.ssh/
    - echo "$SSH_KEY" | base64 -d > ~/.ssh/id_rsa
    - chmod 600 ~/.ssh/id_rsa
    - echo "$KNOWN_HOSTS" >> ~/.ssh/known_hosts
    - scp -r static/* root@$HOST:/var/www/linkbee
  only:
    - main
